Subject: Re: bug#35873: Add atomic window support to Gnus

From: martin rudalics <[email-masked]>
Date: Fri, 20 Sep 2019 10:13:21 +0200

> I updated the patch with Martin's suggestion, and am back to running
 > this daily. One thing I noticed is that (in this case in my Gnorb
 > package) running `delete-other-windows' from a Gnus window will now
 > result in one of these:
 >
 > delete-other-windows: Root of atomic window is root window of its frame
 >
 > That error is expected with atomic windows. I can change Gnorb to not
 > use `delete-other-windows' (it shouldn't be using that anyway), but I
 > wonder if that's likely to cause an unacceptable amount of friction with
 > other packages/user code. (While noting that this behavior is off by
 > default.)

You can also specify a function in the 'delete-other-windows'
parameter of any window involved.  One that dissolves atomicity, for
example.

martin